package com.example.test.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.test.view.ui.view.MainViewModel
import com.example.test.view.ui.view.components.auth
import com.example.test.view.ui.view.components.FilmsList
import com.example.test.view.ui.view.components.Insert


@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "auth")
    {
        composable("auth") {
            auth(navController, MainViewModel())
        }
        composable("FilmList"){
            FilmsList(navController)
        }
        composable("Insert"){
            Insert(navController)
        }
    }
}