package com.example.test.view.ui.view

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.ui.Alignment
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.test.domain.utlls.Constant
import io.github.jan.supabase.gotrue.auth
import io.github.jan.supabase.gotrue.providers.builtin.Email
import io.github.jan.supabase.gotrue.providers.builtin.OTP
import io.github.jan.supabase.postgrest.from
import kotlinx.coroutines.launch
import com.example.test.view.ui.view.components.FilmsList
import com.example.test.view.ui.view.components.auth

class MainViewModel(): ViewModel() {
    private val _loginResult = MutableLiveData<Boolean>()
    val loginResult: LiveData<Boolean> = _loginResult

    fun onSignInEmailCode(emailUser: String) {
        viewModelScope.launch {
            try {
                Constant.supabase.auth.signInWith(OTP) {
                    email = emailUser
                    createUser = false
                }

            } catch (e: Exception) {
                println(e.message.toString())

            }

        }
    }

    fun onSignInEmailPassword(emailUser: String, passwordUser: String): Boolean {
        viewModelScope.launch {
            try {
                val user = Constant.supabase.auth.signInWith(Email) {
                    email = emailUser
                    password = passwordUser
                }
                println(user.toString())
                println(Constant.supabase.auth.currentUserOrNull()!!.id)
                println("Success")
                _loginResult.postValue(true)
            } catch (e: Exception) {
                println("Error")
                println(e.message.toString())
                _loginResult.postValue(false)
            }
        }
        return _loginResult.value ?: false
    }
    fun onSignUpEmail(emailUser: String, passwordUser: String): Boolean {
        viewModelScope.launch {
            try{
                var  user =  Constant.supabase.auth.signUpWith(Email) {
                    email = emailUser
                    password = passwordUser
                }
                println(user.toString())
                println(Constant.supabase.auth.currentUserOrNull()!!.id)
                println("Success")
                _loginResult.postValue(true)
            }
            catch (e: Exception) {
                println("Error")
                println(e.message.toString())
                _loginResult.postValue(false)
            }

        }
        return _loginResult.value ?: false
    }
}